## usplash-theme-mint-kde 8.0.5

=== Makefile ===
CC=gcc
CFLAGS=-g -Wall -fPIC
LDFLAGS=
INCLUDES=

COMPILE = $(CC) $(INCLUDES) $(CFLAGS)
LINK = $(CC) $(CFLAGS) $(LDFLAGS)

INSTALL = /usr/bin/install -c
INSTALL_DATA = $(INSTALL) -m 644
INSTALL_PROGRAM = $(INSTALL) -m 755

usplash-theme-mint-kde.so: throbber_back.png.c.o throbber_back_16.png.c.o throbber_fore.png.c.o throbber_fore_16.png.c.o \
		 throbber_back_32.png.c.o throbber_fore_32.png.c.o \
		 logo_ori.png.c.o \
		 usplash-theme-mint-kde.c.o
	$(COMPILE) -shared -o $@ $^

%.png.c: %.png
	pngtousplash $< > $@

%.bdf.c: %.bdf
	bdftousplash $< > $@

%.c.o: %.c
	$(COMPILE) -o $@ -c $<

install:
	$(INSTALL) -d $(DESTDIR)/usr/lib/usplash
	$(INSTALL_PROGRAM) usplash-theme-mint-kde.so $(DESTDIR)/usr/lib/usplash/usplash-theme-mint-kde.so
clean:
	rm -f *.png.c *.bdf.c *.c.o *.so

=== debian/changelog ===
usplash-theme-mint-kde (8.0.5) helena-kde; urgency=low

  * Made logo background black.
  * Changed repository to helena-kde.

 -- Jamie Birse <boo.birse@gmail.com>  Thu, 28 Jan 2010 09:58:30 +0000 

usplash-theme-mint-kde (8.0.4) helena; urgency=low

  * Adapted Helena usplash for KDE CE

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 14 Jan 2010 11:38:00 +0000

usplash-theme-mint (8.0.2-0.27) helena; urgency=low

  * Made the background 100% black

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 19 Nov 2009 13:37:00 +0000

usplash-theme-mint (8.0.1-0.27) helena; urgency=low

  * Improved artwork quality

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 4 Nov 2009 13:44:00 +0000

usplash-theme-mint (8.0.0-0.27) helena; urgency=low

  * Branding - based on usplash-theme-ubuntu 0.27

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 22 Oct 2009 17:58:00 +0000

usplash-theme-ubuntu (0.27) karmic; urgency=low

  * debian/copyright: Update to new Canonical approved trademark clause, which
    puts back a license (CC-BY-SA) to the artwork. (LP: #451263)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 15 Oct 2009 11:37:28 +0200

usplash-theme-ubuntu (0.26) karmic; urgency=low

  * debian/copyright: Update to CC-BY-SA 3.0 as per Canonical Ltd.'s (the
    copyright holder) decision. Add some explanatory text about the trademark
    policy.
  * usplash-theme-ubuntu.c: Comment out the previous progress bar drawing
    functions and replace them with empty stubs. With the boot time
    reorganization, we do not want the progress bar any more.
  * Drop the old logos and replace them with Mat Tomaszewski's new logos.
    Recalculate the image offsets for all themes and update the palette
    indexes for the text color.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 23 Sep 2009 22:13:23 +0200

usplash-theme-ubuntu (0.25) karmic; urgency=low

  * debian/copyright: Clarify which parts are GPL (*.c files) and which are
    CC-BY-SA (*.png files).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 15 Sep 2009 13:57:38 +0200

usplash-theme-ubuntu (0.24) karmic; urgency=low

  [ Kenneth Wimer ]
  * Correcting text box placement values and resolution for some configs
    entries to fix LP: #401432

 -- Loïc Minier <loic.minier@ubuntu.com>  Wed, 05 Aug 2009 12:17:01 +0100

usplash-theme-ubuntu (0.23) jaunty; urgency=low

  * usplash-theme-ubuntu.c, t_animate_step_{16,32}: Use the correct image's
    width for calculating the number of pulsating steps. Previously, this
    triggered integer, and thus buffer overflows, which caused screen
    corruption and sometimes complete corruption of the VTs. (LP: #345269)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 19 Mar 2009 22:03:02 +0100

usplash-theme-ubuntu (0.22) jaunty; urgency=low

  * debian/control: Add Vcs-Bzr: header.
  * Merge from ubuntu-art-pkg branch:
    - Final artwork for Jaunty.
    - Ship the logo in three sizes only, instead of one full background image
      for every resolution. Position the logo appropriately, and ship themes
      for just about every possible resolution.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 18 Mar 2009 09:29:09 +0100

usplash-theme-ubuntu (0.21) jaunty; urgency=low

  * Update for new usplash which supports explicit theme sizes and pixmap
    positions; see LP #64147 for details.
  * debian/control: Bump usplash dependencies to >= 0.5.30 (THEME_VERSION==4).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 04 Mar 2009 21:44:18 +0100

usplash-theme-ubuntu (0.20) jaunty; urgency=low

  * fix layout for big wide screens. (LP: #245437)

 -- Leonard Michlmayr <leonard.michlmayr@gmail.com>  Mon, 02 Feb 2009 10:31:55 +0100

usplash-theme-ubuntu (0.19) intrepid; urgency=low

  * No-change rebuild against current usplash which bumped THEME_VERSION.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 23 Jul 2008 19:50:18 +0200

usplash-theme-ubuntu (0.18) hardy; urgency=low

  * Fix flickering of the progress bar. Thanks to Daniel Sargeant for the
    patch! (LP: #205854)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 01 Apr 2008 16:15:40 +0200

usplash-theme-ubuntu (0.17) gutsy; urgency=low

  * Ensure throbber is centred; Change all 'theme' resolution (except
    640x400x4) -> hardcoded 320px wide throbber, to match the pixmap.

 -- Paul Sladen <sladen@ubuntu.com>  Mon, 24 Sep 2007 17:14:09 +0300

usplash-theme-ubuntu (0.16) gutsy; urgency=low

  * Try to fix widescreen progress-bar misalignment;
    Change usplash_theme_1365_768_scaled so that:
    322+380+322 = 1024

 -- Paul Sladen <sladen@ubuntu.com>  Mon, 24 Sep 2007 17:14:09 +0300

usplash-theme-ubuntu (0.15) gutsy; urgency=low

  * Set Architecture to any, usplash works on sparc as well.

 -- Steve Kowalik <stevenk@debian.org>  Mon, 25 Jun 2007 17:22:38 +1000

usplash-theme-ubuntu (0.14) feisty; urgency=low

  * [Kenneth Wimer]
    - Fixing bug in throbber_fore.png 
  * [Daniel Holbach]
    - debian/control:
      - bumped Standards-Version.
    - debian/postrm:
      - add #DEBHELPER# tag.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Thu,  5 Apr 2007 17:20:09 +0200

usplash-theme-ubuntu (0.13) feisty; urgency=low

  [ Dennis Kaarsemaker ]
  * Fix broken palette indices. Some colors were just unreadable and some
    color indices pointed outside the palette which could cause crashes.

  [ Martin Pitt ]
  * debian/control: Fix build dependency for the usplash-dev ->
    libusplash-dev rename.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 19 Mar 2007 09:27:15 +0100

usplash-theme-ubuntu (0.12) feisty; urgency=low

  * updating the pics to final version - yippee! 

 -- Kenneth Wimer <wimer@kde.org>  Wed, 14 Feb 2007 08:12:22 +0100

usplash-theme-ubuntu (0.11) feisty; urgency=low

  * updating pics again

 -- Kenneth Wimer <wimer@kde.org>  Tue, 13 Feb 2007 16:05:39 +0100

usplash-theme-ubuntu (0.10) feisty; urgency=low

  * adding new pics for background and progress bar

 -- Kenneth Wimer <wimer@kde.org>  Tue, 13 Feb 2007 13:06:34 +0100



=== debian/control ===
Source: usplash-theme-mint-kde
Priority: optional
Section: misc
Maintainer: Clement Lefebvre <root@linuxmint.com>
Standards-Version: 3.7.2
Build-Depends: debhelper (>= 5.0.0), libusplash-dev (>= 0.5.30)

Package: usplash-theme-mint-kde
Architecture: any
Depends: ${shlibs:Depends}, initramfs-tools (>= 0.40ubuntu30), usplash (>= 0.5.30)
Description: Usplash theme for Linux Mint KDE CE
 Usplash theme for Linux Mint KDE CE

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_OPTIONS

CFLAGS = -g -Wall

# Disable optimisations if noopt found in $DEB_BUILD_OPTIONS
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -Os
endif

# Build the package
build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch $@

# Install files
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/usplash-theme-mint-kde

binary: binary-indep binary-arch

# Build architecture-independent files here.
binary-indep:
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: DH_OPTIONS=-a
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


# Clean up the mess we made
clean:
	dh_testdir
	rm -f build-stamp
	-$(MAKE) clean
	dh_clean

.PHONY: build install binary-indep binary-arch binary clean
